f8c4a0f4e5
- lsinitrd.sh: add old cpio signature - dracut.sh: call find with -print0 and cpio with --null - dracut.asc: small corrections - systemd/dracut-initqueue.sh: continue to boot if finished failed - dracut.sh/dracut-functions.sh: handle root on non-block device - dracut-functions.sh: removed non dracut-install shell functions - dracut-functions.sh: inst_multiple == dracut_install - 51-dracut-rescue.install: fixed rescue image creation - dracut.sh: do not strip in FIPS mode Resolves: rhbz#990250 - dracut.sh: check the value of --kver - crypt: Fix typo--/etc/crypttab not /etc/cryptab - network/net-lib.sh: fix ibft interface configuration - iscsi/module-setup.sh: install some modules regardless of hostonly - multipath: need_shutdown if multipath devices exist Resolves: rhbz#994913 - omit drivers fix
27 lines
760 B
Diff
27 lines
760 B
Diff
From aacdba2bdb3efddd7b3b9cdb149204d86f5020b0 Mon Sep 17 00:00:00 2001
|
|
From: Harald Hoyer <harald@redhat.com>
|
|
Date: Tue, 6 Aug 2013 16:56:42 +0200
|
|
Subject: [PATCH] dracut.sh: check the value of --kver
|
|
|
|
https://bugzilla.redhat.com/show_bug.cgi?id=993327
|
|
---
|
|
dracut.sh | 5 +++++
|
|
1 file changed, 5 insertions(+)
|
|
|
|
diff --git a/dracut.sh b/dracut.sh
|
|
index 4ef71f3..0b674ae 100755
|
|
--- a/dracut.sh
|
|
+++ b/dracut.sh
|
|
@@ -478,6 +478,11 @@ if [[ $regenerate_all == "yes" ]]; then
|
|
((ret+=$?))
|
|
done
|
|
exit $ret
|
|
+elif [[ $kernel ]]; then
|
|
+ if ! [[ -d /lib/modules/$kernel ]] && [[ $no_kernel != yes ]]; then
|
|
+ printf -- "Kernel version $kernel has no modules in /lib/modules/$kernel\n" >&2
|
|
+ exit 1
|
|
+ fi
|
|
fi
|
|
|
|
if ! [[ $kernel ]]; then
|